curl --request POST \
--url https://api.proced.ai/procedures \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"categoryId": "cm2uqwcpd002s7xta3b1j8q3p",
"doerId": "cm2uj5ffn001x7xtag73jmpx0",
"name": "New Procedure Title",
"projectId": "cm2uj5ffn001x7xtag73jmpx0",
"priority": "MEDIUM",
"state": "TODO",
"dueAt": "2024-09-22T22:00:00.000Z",
"content": "Procedure content goes here.",
"generateProcedure": true,
"contentType": "standard",
"docStyle": "simplified",
"language": "typescript"
}
'import requests
url = "https://api.proced.ai/procedures"
payload = {
"categoryId": "cm2uqwcpd002s7xta3b1j8q3p",
"doerId": "cm2uj5ffn001x7xtag73jmpx0",
"name": "New Procedure Title",
"projectId": "cm2uj5ffn001x7xtag73jmpx0",
"priority": "MEDIUM",
"state": "TODO",
"dueAt": "2024-09-22T22:00:00.000Z",
"content": "Procedure content goes here.",
"generateProcedure": True,
"contentType": "standard",
"docStyle": "simplified",
"language": "typescript"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
categoryId: 'cm2uqwcpd002s7xta3b1j8q3p',
doerId: 'cm2uj5ffn001x7xtag73jmpx0',
name: 'New Procedure Title',
projectId: 'cm2uj5ffn001x7xtag73jmpx0',
priority: 'MEDIUM',
state: 'TODO',
dueAt: '2024-09-22T22:00:00.000Z',
content: 'Procedure content goes here.',
generateProcedure: true,
contentType: 'standard',
docStyle: 'simplified',
language: 'typescript'
})
};
fetch('https://api.proced.ai/procedures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cm0upgshc000rwf5eop1u2awr",
"name": "Proced AI title",
"priority": "MEDIUM",
"state": "TODO",
"creatorId": "cm2uj5ffn001x7xtag73jmpx0",
"position": 1,
"dueAt": "2024-09-22T22:00:00.000Z",
"createdAt": "2024-09-22T22:00:00.000Z",
"updatedAt": "2024-09-22T22:00:00.000Z",
"projectId": "cm2uj5ffn001x7xtag73jmpx0",
"workspaceId": "cm2uj5ffn001x7xtag73jmpx0",
"displayVideo": true,
"isFineTunedData": false,
"shortId": "cm0upgshc000rwf5eop1u2awr",
"content": "Procedure content goes here.",
"categoryId": "cm2uqwcpd002s7xta3b1j8q3p",
"doerId": "cm2uj5ffn001x7xtag73jmpx0",
"captureId": "cm2uqwcpd002s7xta3b1j8q3p",
"category": {
"id": "<string>",
"name": "<string>"
},
"doer": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"project": {
"id": "<string>",
"name": "<string>"
},
"comments": [
{
"id": "<string>",
"text": "<string>",
"createdAt": "<string>"
}
]
}{
"code": "disconnected",
"message": "The login details of this item have changed (credentials, MFA, or required user action) and a user login is required to update this information.",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}Create Procedure
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
"cm2uqwcpd002s7xta3b1j8q3p"
Responsable ID
"cm2uj5ffn001x7xtag73jmpx0"
"New Procedure Title"
"cm2uj5ffn001x7xtag73jmpx0"
LOW, MEDIUM, HIGH "MEDIUM"
TODO, IN_PROGRESS, COMPLETED, WAITING "TODO"
"2024-09-22T22:00:00.000Z"
"Procedure content goes here."
generate procedure by content with ai
true
Content type becomes important when generateProcedure is true
code, standard, api, process "standard"
Documentation style becomes important when generateProcedure is true
technical, simplified, detailed "simplified"
Language becomes important when generateProcedure is true, especially for code documentation
typescript, javascript, python, java, csharp, other "typescript"
Response
Create procedure
"cm0upgshc000rwf5eop1u2awr"
"Proced AI title"
LOW, MEDIUM, HIGH "MEDIUM"
TODO, IN_PROGRESS, COMPLETED, WAITING "TODO"
"cm2uj5ffn001x7xtag73jmpx0"
1
"2024-09-22T22:00:00.000Z"
"2024-09-22T22:00:00.000Z"
"2024-09-22T22:00:00.000Z"
"cm2uj5ffn001x7xtag73jmpx0"
"cm2uj5ffn001x7xtag73jmpx0"
true
false
"cm0upgshc000rwf5eop1u2awr"
"Procedure content goes here."
"cm2uqwcpd002s7xta3b1j8q3p"
"cm2uj5ffn001x7xtag73jmpx0"
"cm2uqwcpd002s7xta3b1j8q3p"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes